// Copyright 2001 by Columbia University. All rights reserved.

#include <AudioDevices/AudioDeviceException.h>

AudioDeviceException::AudioDeviceException(int error, string &message)
:error(error),message(message)
{
} // AudioDeviceException::AudioDeviceException 

AudioDeviceException::AudioDeviceException(int error, const char *pMessage)
:error(error),message(pMessage)
{
} // AudioDeviceException::AudioDeviceException

AudioDeviceException::AudioDeviceException(const char *pMessage)
:message(pMessage)
{
} // AudioDeviceException::AudioDeviceException

AudioDeviceException::~AudioDeviceException()
{
}

const char*
AudioDeviceException::what() const
{
	return message.c_str();
} // AudioDeviceException::what