// Copyright 2001 by Columbia University. All rights reserved.

// This class stores information about one audio device. It is used by
// DeviceCaps as the basic unit of information about a device. Information
// about the interogated device is stored here. The library's user should
// not really have to be concerned with this class.

// This class is used by the OSSAudioDevice layer to add functionality
// to the basic DevCap class needed for OSS.

#ifndef OSSDEVCAP_H
#define OSSDEVCAP_H

#include <string>
#include <AudioDevices/DevCap.h>

class OSSDevCap : public DevCap
{
  public:

  // The file system /dev name used to open the audio device.
  string* pAudioDevName;

  // The file system /dev name used to open the mixer device.
  string* pMixerDevName; 

  protected:

  private:
};

#endif
