// AudioFile.h: interface for the AudioFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_AUDIOFILE_H_)
#define _AUDIOFILE_H_

#include <iostream>

using namespace std;

class AudioFormat;

class AudioFile  
{
public:
	bool eof();
	AudioFormat &getAudioFormat();
	AudioFile(istream &stream);
	virtual ~AudioFile();
  virtual void read(char* buf, int &length) = 0;

protected:
	istream &stream;
  AudioFormat* audioFormat;
};

#endif // !defined(AFX_AUDIOFILE_H__62F18838_D614_4047_BE4A_BBD35C323F14__INCLUDED_)
