// G726State.cpp: implementation of the G726State class.
//
// Copyright (c) 2001 by Columbia University. All rights reserved.
//////////////////////////////////////////////////////////////////////

#ifdef _MSC_VER
#pragma warning(disable:4786) //disables nasty vc++ warning caused by stl
#endif

#include "G726State.h"

#include "cx_g726.h"
// G726State::G726State()
// Create new state, and use sun provided function to initialize it.
G726State::G726State()
{
	state = (unsigned char*)new g726_state;

	::g726_init_state((g726_state*)state);
}//G726State::G726State

// G726State::~G726State()
// Delete memory for state.
G726State::~G726State()
{
	delete [] state;
}//G726State::~G726State
