// RTPException.cpp: implementation of the RTPException class.
//
// Copyright (c) 2001 by Columbia University. All rights reserved.
//////////////////////////////////////////////////////////////////////

#include "RTPException.h"


// RTPException::RTPException(int rtp_error, string &message)
RTPException::RTPException(int rtp_error, const string &message)
:rtp_error(rtp_error),message(message)
{
  
}//RTPException::RTPException(int rtp_error, string &message)

// RTPException::RTPException(int rtp_error, const char *message)
RTPException::RTPException(int rtp_error, const char *message)
:rtp_error(rtp_error),message(message)
{
  
}//RTPException::RTPException(int rtp_error, const char *message)

// RTPException::~RTPException()
RTPException::~RTPException()
{
  
}//RTPException::~RTPException()

// RTPException::what()
const char *RTPException::what() const
{
  return message.c_str();
}//RTPException::what()
