// WinsockDLL.h: interface for the WinsockDLL class.
//
// On windows this class initializes the winsock api
// when an instance is created, and cleans up when
// an instance is destructed.  It does nothing on 
// UNIX operating systesm.
//
// Copyright (c) 2001 by Columbia University. All rights reserved.
//////////////////////////////////////////////////////////////////////



#if !defined(_WINSOCKDLL_H_)
#define _WINSOCKDLL_H_

class WinsockDLL  
{
public:
  // initializes the winsock dll
  WinsockDLL();
  // cleans up the winsock dll
  virtual ~WinsockDLL();
};

#endif // !defined(_WINSOCKDLL_H_)
