// AudioFile.cpp: implementation of the AudioFile class.
//
//////////////////////////////////////////////////////////////////////

#include "AudioFile.h"

#include <Common/AudioFormat.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

AudioFile::AudioFile(istream &stream)
:stream(stream),audioFormat(NULL)
{
  audioFormat = new AudioFormat();
}

AudioFile::~AudioFile()
{

}

AudioFormat &AudioFile::getAudioFormat()
{
  //AudioFormat af;

  return *audioFormat;
}

bool AudioFile::eof()
{

  return stream.eof();

}
