// DVIState.cpp: implementation of the DVIState class.
//
// Copyright (c) 2001 by Columbia University. All rights reserved.
//////////////////////////////////////////////////////////////////////

#include "DVIState.h"
#include <memory.h>
#include "cx_dvi.h"

// DVIState::DVIState()
// Constructor.  Allocates CodecState state member.
DVIState::DVIState()
{
	state = (unsigned char*)new adpcm_state;
	::memset(state,0,sizeof(adpcm_state));
}//DVIState::DVIState

// DVIState::~DVIState()
// Destructor.  Deletes CodecState statem member.
DVIState::~DVIState()
{
	delete [] state;
}//DVIState::~DVIState
