// GSMState.cpp: implementation of the GSMState class.
//
// Copyright (c) 2001 by Columbia University. All rights reserved.
//////////////////////////////////////////////////////////////////////

#ifdef _MSC_VER
#pragma warning(disable:4786) //disables nasty vc++ warning caused by stl
#endif

#include "GSMState.h"
#include "cx_gsm.h"

// GSMState::GSMState()
// Initializes state with provided function.
GSMState::GSMState()
{
  state = (unsigned char*)::gsm_create();
}//GSMState::GSMState

// GSMState::~GSMState()
// Destroys state with provided function.
GSMState::~GSMState()
{
  ::gsm_destroy((gsm)state);
  state = NULL;
}//GSMState::~GSMState
