/* SenderMain -- a minimal RTP Sender.
 * Send a file specified on the command line out to the specified
 * RTP port as 8-bit mu-law audio data.
 */

#include <iostream>

#include "rtptestcommon.h"

using namespace std;

int main(int argc, char** argv)
{

  string host;
  int port;
  int ttl;

  ::extractargs(argc,argv,host,port,ttl);

  RTP* rtp = RTP::instance();

  RTPSession *session = rtp->create(host,port,ttl);

  session->start();

}